Subject: bug#22564: Fundamental mode isn't fundamental enough.

From: John Wiegley <[email-masked]>
Date: Tue, 16 Feb 2016 18:50:27 -0800

>>>>> Alan Mackenzie <[email-masked]> writes:

>> It would therefore be against the spirit of fundamental mode to introduce
>> any mode-specific behaviour for it.

> I'd agree with that last paragraph.

> However, fundamental mode has had mode-specific indentation behaviour thrust
> upon it. You'd probably argue legalistically that once some indentation
> behaviour has been made a default, it's no longer mode-specific. I'd
> disagree with you.

I would rather that fundamental-mode be as non-magical as possible also.
Anything content-aware (like electric indentation) smacks of enriched behavior
over what is fundamental.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2